# Record Class CAICommandLocationDelete

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAICommandLocationDelete

Record Components:
  `data` - The location

All Implemented Interfaces:
  `CAProtocolMessageType, CAICommandType<CAIResponseLocationDelete>, CAIMessageType, com.io7m.hibiscus.api.HBMessageType`

public record CAICommandLocationDelete(CALocationID data) extends Record implements CAICommandType<CAIResponseLocationDelete>
Delete locations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAICommandLocationDelete(CALocationID data)`
  Delete locations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CALocationID`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<CAIResponseLocationDelete>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAICommandLocationDelete

    public CAICommandLocationDelete(CALocationID data)
    Delete locations.

- ## Method Details

  - ### responseClass

    public Class<CAIResponseLocationDelete> responseClass()
    Specified by:
      `responseClass` in interface `CAICommandType<CAIResponseLocationDelete>`
    Returns:
      The response class associated with this command (excluding the error response)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### data

    public CALocationID data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component